Subject: Re: What are the ways CRLF files can make it into the repository?

From: Konstantin Khomoutov <[email-masked]>
Date: Sat, 22 Sep 2012 16:08:21 +0400

On Fri, Sep 21, 2012 at 01:02:11PM -0600, Joshua Jensen wrote:

> We've been running with core.autocrlf = input (some people with
> core.autocrlf = true).  However, there are some text files in the
> repository that are CRLF, and I am at a loss to explain how they go
> here.
> 
> We understand that if core.autocrlf=false, this could happen.  While
> I admit there is a remote possibility this did occur, I'm not
> convinced our people were smart enough with Git 1.5 years ago to
> make this configuration change.
> 
> There are no .gitattributes settings for these source code files.
> 
> Are there other ways CRLF files could sneak into the repository?
Is there any chance Git considered them binary for some reason and hence
did not apply its EOL-conversion logic at all?